#
# spec file for package openstack-horizon-plugin-monasca-ui
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname monasca-ui
%if 0%{?rhel} || 0%{?fedora}
%global rdo 1
%global http_dashboard_dir %{_datarootdir}/openstack-dashboard
%else
%global http_dashboard_dir /srv/www/openstack-dashboard
%endif
Name:           openstack-horizon-plugin-monasca-ui
Version:        1.14.1~dev24
Release:        2.1
Summary:        OpenStack Monasca Horizon plugin
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://wiki.openstack.org/wiki/Monasca
Source0:        monasca-ui-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-macros
BuildRequires:  python-monascaclient
BuildRequires:  python-pbr
Requires:       python-horizon-plugin-monasca-ui = %{version}
BuildArch:      noarch

%description
The Monasca UI Horizon plugin adds Monitoring panel to the OpenStack dashboard.

%package -n python-horizon-plugin-monasca-ui
Summary:        Monasca Plugin for Horizon - Python module
Group:          Development/Languages/Python
Requires:       python-Django
Requires:       python-monascaclient
Requires:       python-pbr
%if 0%{?suse_version}
%package -n grafana-monasca-ui-drilldown
Summary:        Scripted Grafana dashboard for alarm drilldown links
Group:          Development/Languages/Python
BuildRequires:  grafana
Requires:       grafana
%endif

%description -n python-horizon-plugin-monasca-ui
The Monasca UI Horizon plugin adds Monitoring panel to the OpenStack dashboard.

%if 0%{?suse_version}
%description -n grafana-monasca-ui-drilldown
This adds a scripted dashboard to Grafana 2 and higher that the Monitoring
panel's Alarms tab links to when generating drilldown links for alarms.
%endif

%prep
%autosetup -n %{sname}-1.14.1.dev24
%py_req_cleanup

%build
%py2_build

%install
%py2_install

install -m 0755 -d %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/
install -m 0755 -d %{buildroot}%{http_dashboard_dir}/openstack_dashboard/conf/
cp -a monitoring/enabled/_50_admin_add_monitoring_panel.py %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/
cp -a monitoring/conf/monitoring_policy.json %{buildroot}%{http_dashboard_dir}/openstack_dashboard/conf/
%if 0%{?suse_version}
install -m 0755 -d %{buildroot}%{_datadir}/grafana/public/dashboards/
install -m 644 grafana-dashboards/drilldown.js %{buildroot}%{_datadir}/grafana/public/dashboards/
%endif
%fdupes %{buildroot}%{python2_sitelib}
%fdupes %{buildroot}%{http_dashboard_dir}

%post
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%files
%{http_dashboard_dir}/openstack_dashboard/enabled/_50_admin_add_monitoring_panel.py*
%{http_dashboard_dir}/openstack_dashboard/conf/monitoring_policy.json
%license LICENSE
%doc ChangeLog README.rst

%if 0%{?suse_version}
%files -n grafana-monasca-ui-drilldown
%license LICENSE
%{_datadir}/grafana/public/dashboards/drilldown.js
%endif

%files -n python-horizon-plugin-monasca-ui
%license LICENSE
%doc README.rst
%{python2_sitelib}/monitoring
%{python2_sitelib}/monasca_ui-*.egg-info

%changelog
